# Functor Packed_array.Tuple2

    module Tuple2: functor (A : Basic) -> functor (B : Basic) -> sig .. end

the representation of a packed array of tuples is a tuple of packed arrays. This makes the `zip_exn` and `unzip` functions constant time.

Parameters:

`A` | : | `Basic`
`B` | : | `Basic`

    type elt = A.elt * B.elt

    include Packed_array.S

    val zip_exn : A.t -> B.t -> t

    val unzip : t -> A.t * B.t